Bug 801565 - NetworkManager does not establish VPN when created with NetworkManager-Openswan
NetworkManager does not establish VPN when created with NetworkManager-Openswan
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-08 16:13 EST by Avesh Agarwal
Modified: 2012-08-07 12:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 12:06:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Avesh Agarwal 2012-03-08 16:13:34 EST
Description of problem:
It is not possible to set up VPN connection using NM-openswan. And the reason is that NM does not like the information sent by opensnwan and terminate the connection.

This seems like regression as it used to work with Fedora 15 before. and it works with RHEL too.  


Version-Release number of selected component (if applicable):
NetworkManager-0.9.1.90-3.git20110927.fc15.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Create a VPN connection with NM-openswan
2. Start the establishment of connection
3. NM terminates the connection.
  
Actual results:
NM does not let VPN connection establish.

Expected results:
NM should let VPN connection establish.


Additional info:
Mar  8 15:46:05 agra NetworkManager[867]: <info> VPN connection 'rht'
(Connect) reply received.
Mar  8 15:46:05 agra avahi-daemon[851]: Registering new address record
for 10.11.11.63 on wlan0.IPv4.
Mar  8 15:46:05 agra NetworkManager[867]: <info> VPN connection 'rht'
(IP Config Get) reply received.
Mar  8 15:46:05 agra NetworkManager[867]: <info> VPN Gateway: 66.187.233.55
Mar  8 15:46:05 agra NetworkManager[867]: <info> Tunnel Device: tun0
Mar  8 15:46:05 agra NetworkManager[867]: <info> Internal IP4 Address:
10.11.11.63
Mar  8 15:46:05 agra NetworkManager[867]: <info> Internal IP4 Prefix: 24
Mar  8 15:46:05 agra NetworkManager[867]: <info> Internal IP4
Point-to-Point Address: 10.11.11.63
Mar  8 15:46:05 agra NetworkManager[867]: <info> Maximum Segment Size
(MSS): 0
Mar  8 15:46:05 agra NetworkManager[867]: <info> Forbid Default Route: no
Mar  8 15:46:05 agra NetworkManager[867]: <info> Internal IP4 DNS:
10.11.255.156
Mar  8 15:46:05 agra NetworkManager[867]: <info> Internal IP4 DNS:
10.7.142.21
Mar  8 15:46:05 agra NetworkManager[867]: <info> DNS Domain: 'redhat.com'
Mar  8 15:46:05 agra NetworkManager[867]: <info> Login Banner:
Mar  8 15:46:05 agra NetworkManager[867]: <info>
-----------------------------------------
Mar  8 15:46:05 agra NetworkManager[867]: <info> Unauthorized Access to
this or any other Red Hat Inc. device is strictly prohibited. Violators
will be prosecuted.
Mar  8 15:46:05 agra NetworkManager[867]: <info>
-----------------------------------------
Mar  8 15:46:05 agra NetworkManager[867]: nm_system_iface_set_up:
assertion `ifindex > 0' failed
Mar  8 15:46:05 agra NetworkManager[867]: nm_system_apply_ip4_config:
assertion `ifindex > 0' failed
Mar  8 15:46:05 agra NetworkManager[867]: <warn> VPN connection 'rht'
did not receive valid IP config information.
Mar  8 15:46:05 agra NetworkManager[867]: nm_system_iface_set_up:
assertion `ifindex > 0' failed
Mar  8 15:46:05 agra NetworkManager[867]: nm_system_iface_flush_routes:
assertion `ifindex > 0' failed
Mar  8 15:46:05 agra NetworkManager[867]:
nm_system_iface_flush_addresses: assertion `ifindex > 0' failed
Mar  8 15:46:05 agra NetworkManager[867]: <info> Policy set 'Auto Red
Hat Guest' (wlan0) as default for IPv4 routing and DNS.
Mar  8 15:46:05 agra ipsec_setup: Stopping Openswan IPsec...


I also looked at Openswan logs and they show that connection is established correctly.
Comment 1 Jirka Klimes 2012-03-26 10:19:53 EDT
Does it work with more recent NM (e.g on F16)?

Would you try this scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3933219

If there are still problems, please run NetworkManager with --log-level=DEBUG to get more detailed logs.
Comment 2 Fedora End Of Life 2012-08-07 12:06:48 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.